YPINIT(8)

NAME
ypinit - build and install Network Information Service database

SYNOPSIS
/usr/sbin/yp/ypinit -m

/usr/sbin/yp/ypinit -s master_name

DESCRIPTION
ypinit sets up a Network Information Service database on a NIS server. It can be used to set up a master or a slave server. You must be the super-user to run it. It asks a few, self-explanatory questions, and reports success or failure to the terminal.

It sets up a master server using the simple model in which that server is master to all maps in the data base. This is the way to bootstrap the NIS system; later if you want you can change the association of maps to masters. All databases are built from scratch, either from information available to the program at runtime, or from the ASCII data base files in /etc. These files are listed below under FILES. All such files should be in their ``traditional'' form, rather than the abbreviated form used on client machines.

A NIS database on a slave server is set up by copying an existing database from a running server. The master_name argument should be the hostname of NIS server (either the master server for all the maps, or a server on which the data base is up-to-date and stable).

Read ypfiles(5) and ypserv(8) for an overview of the Network Information Service.

OPTIONS

-m  Indicate that the local host is to be the NIS master.

-s  Set up a slave database.

FILES
/etc/passwd
/etc/group
/etc/hosts
/etc/networks
/etc/services
/etc/protocols
/etc/netgroup
/etc/ethers

SEE ALSO
makedbm(8), ypfiles(5), ypmake(8), yppush(8), ypserv(8), ypxfr(8)